## ros-one-monocam-settler 0.10.15-4jammy.20251023.0323

=== debian/changelog ===
ros-one-monocam-settler (0.10.15-4jammy.20251023.0323) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Thu, 23 Oct 2025 03:23:16 +0000

ros-one-monocam-settler (0.10.15-0jammy) jammy; urgency=high

  * Merge pull request #47 <https://github.com/ros-perception/calibration/issues/47> from PR2-prime/noetic-devel
    Noetic devel
  * fixes for compiler warnings CMP0048 and CMP0046
  * update maintainer for most packages; first try at setup for travis testing (#46 <https://github.com/ros-perception/calibration/issues/46>)
  * Contributors: Dave Feil-Seifer

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Tue, 11 May 2021 00:00:00 -0000

ros-one-monocam-settler (0.10.14-0jammy) jammy; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 16 Apr 2016 00:00:00 -0000

ros-one-monocam-settler (0.10.13-0jammy) jammy; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Dec 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.12-0jammy) jammy; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Sep 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.11-0jammy) jammy; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 20 Sep 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.9-0jammy) jammy; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Wed, 09 Apr 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.8-0jammy) jammy; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 07 Mar 2014 00:00:00 -0000

## ros-one-monocam-settler 0.10.15-4jammy.20260221.0003

=== debian/changelog ===
ros-one-monocam-settler (0.10.15-4jammy.20260221.0003) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 21 Feb 2026 00:03:33 +0000

## ros-one-monocam-settler 0.10.15-4noble.20251023.0320

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(monocam_settler)

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED actionlib actionlib_msgs rosconsole roscpp_serialization settlerlib std_msgs)

# define the messages
add_action_files(DIRECTORY action FILES Config.action)

generate_messages(DEPENDENCIES actionlib_msgs std_msgs)

# define the package
catkin_package(DEPENDS actionlib actionlib_msgs rosconsole roscpp_serialization settlerlib std_msgs
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)


include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
include_directories(include)

# deal with the include
install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/monocam_settler/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# create the libraries
add_library(${PROJECT_NAME} src/monocam_settler.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencpp)
install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# deal with the executable
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
add_executable(monocam_settler_action src/monocam_settler_action.cpp)
target_link_libraries(monocam_settler_action ${Boost_LIBRARIES}
                                             ${catkin_LIBRARIES}
                                             ${PROJECT_NAME}
)
install(TARGETS monocam_settler_action
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
add_dependencies(monocam_settler_action ${catkin_EXPORTED_TARGETS})

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test EXCLUDE_FROM_ALL)
endif()

=== test/CMakeLists.txt ===
# ********** Tests **********
catkin_add_gtest(monocam_settler_unittest monocam_settler_unittest.cpp)
target_link_libraries(monocam_settler_unittest monocam_settler)

=== debian/changelog ===
ros-one-monocam-settler (0.10.15-4noble.20251023.0320) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Thu, 23 Oct 2025 03:20:41 +0000

ros-one-monocam-settler (0.10.15-0noble) noble; urgency=high

  * Merge pull request #47 <https://github.com/ros-perception/calibration/issues/47> from PR2-prime/noetic-devel
    Noetic devel
  * fixes for compiler warnings CMP0048 and CMP0046
  * update maintainer for most packages; first try at setup for travis testing (#46 <https://github.com/ros-perception/calibration/issues/46>)
  * Contributors: Dave Feil-Seifer

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Tue, 11 May 2021 00:00:00 -0000

ros-one-monocam-settler (0.10.14-0noble) noble; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 16 Apr 2016 00:00:00 -0000

ros-one-monocam-settler (0.10.13-0noble) noble; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Dec 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.12-0noble) noble; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Sep 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.11-0noble) noble; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 20 Sep 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.9-0noble) noble; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Wed, 09 Apr 2014 00:00:00 -0000

ros-one-monocam-settler (0.10.8-0noble) noble; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 07 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-monocam-settler
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <david.feilseifer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin (>= 0.5.68), ros-one-rosconsole, ros-one-roscpp-serialization, ros-one-settlerlib, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/monocam_settler
Standards-Version: 3.9.2

Package: ros-one-monocam-settler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-rosconsole, ros-one-roscpp-serialization, ros-one-settlerlib, ros-one-std-msgs
Description: Listens on a ImageFeatures topic, and waits for the data to settle.
 This package is experimental and unstable. Expect its APIs to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-monocam-settler//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-monocam-settler 0.10.15-4noble.20260221.0029

=== debian/changelog ===
ros-one-monocam-settler (0.10.15-4noble.20260221.0029) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 21 Feb 2026 00:29:21 +0000
